PHPExcel_Shared

# Class: PHPExcel_Shared_Excel5

Source Location: /PHPExcel/Shared/Excel5.php

### Class Overview

PHPExcel_Shared_Excel5

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- getDistanceX
- getDistanceY
- oneAnchor2twoAnchor
- sizeCol
- sizeRow

### Class Details

[line 35]
PHPExcel_Shared_Excel5

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method getDistanceX [line 144]

`static integer getDistanceX( PHPExcel_Worksheet $sheet, [string $startColumn = 'A'], [ $startOffsetX = 0], [string $endColumn = 'A'], [ $endOffsetX = 0], integer $startOffset, integer $endOffset)`

Get the horizontal distance in pixels between two anchors The distanceX is found as sum of all the spanning columns widths minus correction for the two offsets

#### Tags:

return: | Horizontal measured in pixels
access: | public

#### Parameters:

PHPExcel_Worksheet | $sheet |
string | $startColumn |
integer | $startOffset | Offset within start cell measured in 1/1024 of the cell width
string | $endColumn |
integer | $endOffset | Offset within end cell measured in 1/1024 of the cell width
| $startOffsetX |
| $endOffsetX |

[ Top ]

### static method getDistanceY [line 175]

`static integer getDistanceY( PHPExcel_Worksheet $sheet, [string $startRow = 1], [ $startOffsetY = 0], [string $endRow = 1], [ $endOffsetY = 0], integer $startOffset, integer $endOffset)`

Get the vertical distance in pixels between two anchors The distanceY is found as sum of all the spanning rows minus two offsets

#### Tags:

return: | Vertical distance measured in pixels
access: | public

#### Parameters:

PHPExcel_Worksheet | $sheet |
string | $startRow | (1-based)
integer | $startOffset | Offset within start cell measured in 1/256 of the cell height
string | $endRow | (1-based)
integer | $endOffset | Offset within end cell measured in 1/256 of the cell height
| $startOffsetY |
| $endOffsetY |

[ Top ]

### static method oneAnchor2twoAnchor [line 245]

`static array oneAnchor2twoAnchor( PHPExcel_Worksheet $sheet, string $coordinates, integer $offsetX, integer $offsetY, integer $width, integer $height)`

Convert 1-cell anchor coordinates to 2-cell anchor coordinates This function is ported from PEAR Spreadsheet_Writer_Excel with small modifications

Calculate the vertices that define the position of the image as required by the OBJ record.

+------------+------------+ | A | B | +-----+------------+------------+ | |(x1,y1) | | | 1 |(A1)._______|______ | | | | | | | | | | | +-----+----| BITMAP |-----+ | | | | | | 2 | |______________. | | | | (B2)| | | | (x2,y2)| +---- +------------+------------+

Example of a bitmap that covers some of the area from cell A1 to cell B2.

Based on the width and height of the bitmap we need to calculate 8 vars: $col_start, $row_start, $col_end, $row_end, $x1, $y1, $x2, $y2. The width and height of the cells are also variable and have to be taken into account. The values of $col_start and $row_start are passed in from the calling function. The values of $col_end and $row_end are calculated by subtracting the width and height of the bitmap from the width and height of the underlying cells. The vertices are expressed as a percentage of the underlying cell width as follows (rhs values are in pixels):

x1 = X / W *1024 y1 = Y / H *256 x2 = (X-1) / W *1024 y2 = (Y-1) / H *256

Where: X is distance from the left side of the underlying cell Y is distance from the top of the underlying cell W is the width of the cell H is the height of the cell

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $sheet |
string | $coordinates | E.g. 'A1'
integer | $offsetX | Horizontal offset in pixels
integer | $offsetY | Vertical offset in pixels
integer | $width | Width in pixels
integer | $height | Height in pixels

[ Top ]

### static method sizeCol [line 46]

`static integer sizeCol( PHPExcel_Worksheet $sheet, [integer $col = 'A'])`

Get the width of a column in pixels. We use the relationship y = ceil(7x) where x is the width in intrinsic Excel units (measuring width in number of normal characters) This holds for Arial 10

#### Tags:

return: | The width in pixels
access: | public

#### Parameters:

PHPExcel_Worksheet | $sheet | The sheet
integer | $col | The column

[ Top ]

### static method sizeRow [line 93]

`static integer sizeRow( PHPExcel_Worksheet $sheet, [integer $row = 1])`

Convert the height of a cell from user's units to pixels. By interpolation the relationship is: y = 4/3x. If the height hasn't been set by the user we use the default value. If the row is hidden we use a value of zero.

#### Tags:

return: | The width in pixels
access: | public

#### Parameters:

PHPExcel_Worksheet | $sheet | The sheet
integer | $row | The row index (1-based)

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:12 +0200 by phpDocumentor 1.4.4